package com.emr.service.emrReasonAnnoModel;

import com.emr.entity.emrReasonAnnoModel.Emr_Reason_Anno_Model;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface AnnotationTemplateService {
    List<Emr_Reason_Anno_Model> selectAllAnnoTypeByCreater(Integer isEffective,HttpServletRequest request);

    List<Emr_Reason_Anno_Model> selectNotContentAllAnnoTypeByCreater(HttpServletRequest request);

    List<Emr_Reason_Anno_Model> selectReasonOrAnnoTemplateList(String typeFlag,HttpServletRequest request);

    List<Emr_Reason_Anno_Model> selectAnnoTemplateListByCreater(String typeFlag,Emr_Reason_Anno_Model reasonAnnoModel,HttpServletRequest request);

    void addAnno(Emr_Reason_Anno_Model reasonAnnoModel, HttpServletRequest request);

    void updateAnno(Emr_Reason_Anno_Model reasonAnnoModel,HttpServletRequest request);

    void deleteByPrimaryKey(Integer id);
}
